index
:
otputils.git
master
next
pu
github/master
github/next
github/pu
OTP Utilities
david@syzdek.net
about
summary
refs
log
tree
commit
diff
stats
homepage
log msg
author
committer
range
path:
root
/
lib
/
libotputil
(
follow
)
Commit message (
Expand
)
Author
Age
Files
Lines
*
libotputil: adding otputil_encoding2str() and otputil_str2encoding()
David M. Syzdek
2023-01-16
2
-3
/
+43
*
libotputil: adding otputil_meth2str() and otputil_str2meth()
David M. Syzdek
2023-01-16
2
-5
/
+50
*
libotputil: adding otputil_debug()
David M. Syzdek
2023-01-16
2
-0
/
+51
*
libotputil: adding support for SKEY/OTP to otputil_str()
David M. Syzdek
2023-01-12
1
-6
/
+19
*
libotputil: refactoring otputil_skey_str()
David M. Syzdek
2023-01-12
1
-20
/
+6
*
libotputil: adding arguments to otputil_skey_str()
David M. Syzdek
2023-01-12
1
-2
/
+5
*
libotputil: adjusting white space
David M. Syzdek
2023-01-12
1
-4
/
+4
*
libotputil: updating otputil_otp_str() to include encoding
David M. Syzdek
2023-01-12
1
-1
/
+3
*
libotputil: adjusting white space
David M. Syzdek
2023-01-12
1
-4
/
+4
*
libotputil: refactoring otputil_skey_code()
David M. Syzdek
2023-01-12
2
-37
/
+95
*
libotputil: adding defaults to otputil_otp_code()
David M. Syzdek
2023-01-12
3
-1
/
+128
*
libotputil: updating otputil_otp_code() to use S/KEY if seed is NULL.
David M. Syzdek
2023-01-12
1
-9
/
+12
*
libotputil: renaming member otp_method to util_method in 'struct _otputil_sec...
David M. Syzdek
2023-01-12
2
-8
/
+8
*
libotputil: renaming member otp_desc to util_desc in 'struct _otputil_secret'
David M. Syzdek
2023-01-12
2
-11
/
+11
*
libotputil: adding otputil_skey_code() and otputil_skey_str()
David M. Syzdek
2023-01-12
2
-0
/
+89
*
libotputil: updating otputil_otp_code() to support SHA1/SHA256/SHA512
David M. Syzdek
2023-01-12
1
-22
/
+14
*
libotputil: adding processing for OTPUTIL_MD_MD5 in otputil_otp_code()
David M. Syzdek
2023-01-12
1
-0
/
+4
*
libotputil: fixing seed processing in otputil_otp_code()
David M. Syzdek
2023-01-12
1
-7
/
+12
*
libotputil: fixing checks in otputil_otp_code()
David M. Syzdek
2023-01-12
1
-27
/
+47
*
libotputil: adding otputil_otp_str()
David M. Syzdek
2023-01-11
2
-0
/
+36
*
libotputil: adding otputil_otp_code()
David M. Syzdek
2023-01-11
3
-0
/
+175
*
libotputil: renaming lrfc2289-otp.c to lrfc2289-otp-dict.c
David M. Syzdek
2023-01-11
2
-6
/
+6
*
autotools: adding checks for EVP_sha3_256() and EVP_sha3_512()
David M. Syzdek
2023-01-11
1
-0
/
+8
*
libotputil: removing unused variable in otputil_otp_decode()
David M. Syzdek
2023-01-11
1
-2
/
+0
*
libotputil: adding support for six-word encoding in otputil_otp_decode()
David M. Syzdek
2023-01-11
1
-2
/
+292
*
libotputil: fixing logic in otputil_md2str()
David M. Syzdek
2023-01-11
1
-1
/
+1
*
libotputil: fixing NULL dereferencing in otputil_skey_cmp()
David M. Syzdek
2023-01-11
1
-0
/
+2
*
libotputil: defining OTPUTIL_MD_NONE
David M. Syzdek
2023-01-11
1
-0
/
+1
*
libotputil: adding otputil_evp_md()
David M. Syzdek
2023-01-11
2
-0
/
+27
*
libotputil: fixing mappings in otputil_md_list[]
David M. Syzdek
2023-01-11
1
-2
/
+2
*
libotputil: refactoring otputil_otp_decode_hex()
David M. Syzdek
2023-01-10
1
-43
/
+58
*
libotputil: adjusting comments
David M. Syzdek
2023-01-10
2
-4
/
+11
*
libotputil: refactoring otputil_otp_encode_word()
David M. Syzdek
2023-01-10
1
-13
/
+16
*
libotputil: adding otputil_skey_dict_value()
David M. Syzdek
2023-01-10
2
-0
/
+71
*
libotputil: adding otputil_skey_dict_word()
David M. Syzdek
2023-01-10
3
-0
/
+116
*
libotputil: adding placeholders for lrfc6238-totp.c
David M. Syzdek
2023-01-10
2
-0
/
+92
*
libotputil: renaming lotp-rfc2289.c to lrfc2289-otp.c
David M. Syzdek
2023-01-10
2
-6
/
+6
*
libotputil: renaming lskey-rfc1760-dict.c to lrfc1760-skey-dict.c
David M. Syzdek
2023-01-10
4
-8
/
+8
*
libotputil: renaming lhotp.c to lrfc4226-hotp.c
David M. Syzdek
2023-01-10
3
-7
/
+7
*
libotputil: renaming otputil_dict_rfc1760 to otputil_skey_rfc1760_dict
David M. Syzdek
2023-01-10
4
-14
/
+14
*
libotputil: renaming lotp.c to lotp-rfc2289.c
David M. Syzdek
2023-01-10
5
-14
/
+14
*
libotputil: adjusting whitespace
David M. Syzdek
2023-01-10
1
-1
/
+1
*
libotputil: adding otputil_compat.h
David M. Syzdek
2023-01-10
1
-0
/
+2
*
libotputil: moving core functions to lcore.c
David M. Syzdek
2023-01-10
2
-12
/
+51
*
libotputil: moving HOTP (RFC 4226)/TOTP (RFC 6238) functions to lhotp.c
David M. Syzdek
2023-01-10
3
-187
/
+300
*
libotputil: exporting defaults variables
David M. Syzdek
2023-01-10
2
-3
/
+23
*
libotputil: moving miscellaneous functions to lmisc.c
David M. Syzdek
2023-01-10
4
-107
/
+221
*
libotputil: moving OTP (RFC 2289) functions
David M. Syzdek
2023-01-10
3
-361
/
+472
*
libotputil: adding ldict-rfc1760.h
David M. Syzdek
2023-01-10
4
-11
/
+60
*
libotputil: moving berval functions to separate source files
David M. Syzdek
2023-01-09
3
-155
/
+255
[next]